<?php if (!defined('PNtoMath')) exit ();
/*
 * PNtoMath:
 * Associated Files and Classes
 * Files : 
 *   - PNtoMath.class.php
 *   - PNtoMath.cfg.php
 *
 * PNtoMath Version 0.1, 10 August 2013, (c) Mehmet Durgel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License (at http://www.gnu.org/copyleft/gpl.html)
 * for more details.
 *
*/

function getOperators($type){
	$operators = array(
		/*'MathML' => array(
			'+' => '<mrow>%1$s<mo>+</mo>%2$s</mrow>',
			'-' => '<mrow>%1$s<mo>-</mo>%2$s</mrow>',
			'/' => '<mfrac>%1$s<mo>/</mo>%2$s</mfrac>',
			'*' => '<mrow>%1$s<mo>*</mo>%2$s</mrow>',
			'=' => '<mrow>%1$s<mo>=</mo>%2$s</mrow>',
			'_' => '<mrow>%1$s<mo>_</mo>%2$s</mrow>',
			'^' => '<mrow>%1$s<mo>^</mo>%2$s</mrow>',
			'(' => '<mrow>%1$s<mo>^</mo>%2$s</mrow>'
		),*/
		'HTML' => array(
			'+' => '%1$s<span class="operator">+</span>%2$s',
			'-' => '%1$s<span class="operator big">-</span>%2$s',
			'%' => '%1$s<span class="operator">/</span>%2$s',
			'/' => '<div class="fraction"><div class="numerator">%1$s</div><div class="denominator">%2$s</div></div>',
			'*' => '%1$s<span class="operator small">X</span>%2$s',
			'=' => '<span>%1$s</span><span class="operator">=</span><span>%2$s</span>',
			'_' => '<span class="sub">%1$s<sub>%2$s</sub></span>',
			'^' => '<span class="sup">%1$s<sup>%2$s</sup></span>',
			'(' => '<span class="parentheses"><span class="bracket">(</span>%1$s%2$s<span class="bracket">)</span></span>',
			')' => '<span class="parentheses"><span class="bracket">(</span>%1$s%2$s<span class="bracket">)</span></span>',
			'<' => '%1$s<span class="operator">&lt;</span>%2$s',
			'>' => '%1$s<span class="operator">&gt;</span>%2$s',
			'<=>' => '<span class="biconditional logical">%1$s<span class="operator">&lt;=&gt;</span>%2$s</span>',
			'=>' => '<span class="conditional logical">%1$s<span class="operator">=&gt;</span>%2$s</span>',
			'<=' => '<span class="conditional logical">%1$s<span class="operator">&lt;=</span>%2$s</span>'
		)
	);
	return $operators[$type];
}
